Subject: Re: Fw: Key repeat rate in X
From: Mark Jones <[email-masked]>
To: "Ronald W. Cook" <[email-masked]>, [email-masked]
Cc: Ron Cook <[email-masked]>, [email-masked]
Date: Wed, 5 Sep 2001 08:20:41 -0700 (PDT)

Thanks!  xset is the answer, but I think I actually found a bug in Cygwin
XFree86.

"xmodmap -pk |grep F8" gives me the keycode for F8, which is 74 in Cygwin. 
"xset -r 74" should turn off repeat for F8.  "xset r off" should turn off
repeat on all keys.  However, it does not do anything with either variation
of the command.  If I use Exceed, the keycode changes to 73, but when I do
"xset -r 73" or "xset f off" things do work as they should and key repeats
are turned off properly.

Can anyone else verify this?  I'm pretty sure I have XFree86 version 4.1.0
installed.  Is there a way to tell for sure?

Thanks again,

Mark

On Wed, 5 Sep 2001 10:07:47 -0400, Ronald W. Cook wrote:
>  
>   man xset      should afford you some adjustment, but I don't know about
tailoring
>  individual keys differently.
>  
>  A Google search produces at least:
>  http://www.cygwin.com/ml/cygwin/1997-11/msg00863.html
>  
>  Ron Cook      cowaro.com
>  2001 September 05 09:58
>  > 
>  > 
>  > Does anyone know how I can adjust the F8 key repeat rate to either
something
>  > very long, or else to completely off repeat for the F8 key while in
Cygwin
>  > XFree86.  I am using the most recent version of Cygwin and also XFree
86 for
>  > Cygwin.  In case it matters, the window manager I am using is Fvwm2 and
>  > sometimes I use Xfce instead.
>  > 
>  > Currently the F8 key repeats too fast.  In Exceed I could turn off
repeating
>  > for the F8 key (only), which worked fine.  I need to find out how to
>  > configure XFree86 for Cygwin to do something similar.
>  > 
>  > Thanks,
>  > 
>  > Mark
>  > 
>  > 
>  > 
>  > 
>

_______________________________________________________
Send a cool gift with your E-Card
http://www.bluemountain.com/giftcenter/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/